Subject: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2019 15:55:51 +0300

> Date: Fri, 19 Jul 2019 11:54:07 +0200
> From: Robert Alessi <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> >   As of 2016, the latest versions of Unicode (as of 2016) have now
> >   formally deprecated and removed the vowel+oxia combinations from the
> >   Greek extended range, leaving only the vowel+tonos from the basic Greek
> >   and Coptic range.
> > 
> > is not really accurate?
> 
> I would say so, to say the least, but I am still investigating.  What
> is sure is that tonos originally does not encode the same as oxia.
> The former encodes a stress, while the latter encodes a pitch.  This
> is undisputable.  That said, the fact that the Greek government did
> decree that tonos shall be the same as oxia (to be taken cautiously, I
> am not a specialist of modern Greek) surely introduced a lot of
> confusion.
> 
> For example, if one makes no distinction between the two, then it
> becomes harder to analyse large corpuses with a computer.

What do you mean by "makes no distinction"?  Those are different
codepoints, regardless of how they look on display.  So we definitely
_can_ distinguish between them.